import { UmbLitElement } from '../../../../../../core/lit-element/index.js';
import type { UmbWorkspaceViewElement } from '../../../../../../core/workspace/index.js';
export declare class UmbDocumentTypeWorkspaceViewStructureElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    private _allowedAtRoot?;
    private _allowedContentTypeUniques?;
    private _collection?;
    constructor();
    private _observeDocumentType;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDocumentTypeWorkspaceViewStructureElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-type-workspace-view-structure': UmbDocumentTypeWorkspaceViewStructureElement;
    }
}
